## org.codehaus.groovy.grails.web.pages.exceptions
Class GroovyPagesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.pages.exceptions.GroovyPagesException

All Implemented Interfaces:
  Serializable

    public class GroovyPagesException

extends GrailsException

An exception thrown when processing GSP pages

Since:
  0.5

  Created: Feb 23, 2007 Time: 10:45:39 AM
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`GroovyPagesException(String message)`
`GroovyPagesException(String message, Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroovyPagesException

    public GroovyPagesException(String message,
                                Exception e)

### GroovyPagesException

    public GroovyPagesException(String message)

Copyright (c) 2005-2006 The Grails project